/**
 * EntityClassDevice2.java
 *
 * File generated from the medication2::EntityClassDevice2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration EntityClassDevice2.
 *
 * 
 */

@XmlType(name = "EntityClassDevice")
@XmlEnum
@XmlRootElement(name = "EntityClassDevice2")
public enum EntityClassDevice2 {
	@XmlEnumValue("DEV")
	DEV("DEV"),
	@XmlEnumValue("CER")
	CER("CER"),
	@XmlEnumValue("MODDV")
	MODDV("MODDV");
	
	private final String value;

    EntityClassDevice2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static EntityClassDevice2 fromValue(String v) {
        for (EntityClassDevice2 c: EntityClassDevice2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
